/* .0625rem == 1px */
/* .125rem == 2px */
/* .375rem == 6px */

@font-face {
  font-family: 'dancing_script';
  src: url('/assets/fonts/dancingscript-regular-webfont.woff2') format('woff2'),
  url('/assets/fonts/dancingscript-regular-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: 'alex_brush';
  src: url('/assets/fonts/alexbrush-regular-webfont.woff2') format('woff2'),
  url('/assets/fonts/alexbrush-regular-webfont.woff') format('woff');
  font-weight: normal;
  font-style: normal;
}

/* @font-face { */
/*   font-family: 'allura'; */
/*   src: url('/assets/fonts/allura-regular-webfont.woff2') format('woff2'), */
/*   url('/assets/fonts/allura-regular-webfont.woff') format('woff'); */
/*   font-weight: normal; */
/*   font-style: normal; */
/* } */

/*==========Font Classes==========*/
.app-name {
  font-family: "dancing_script";
}
.cursive {
  font-family: "alex_brush";
}

/*==========Tags==========*/
body {
  background-color: #002B36;
  color: darkgrey;
  padding: 0;
  margin: 0;
}
main {
  padding: .5rem;
  min-height: 100vh;
}

footer {
  background-color: #292936;
  bottom: 0;
  height: 2.5rem;
  text-align: center;
  padding: 1rem;
}


h1 {
  color: floralwhite;
}

nav {
  border: .0625rem solid black;
  background-color: #292936;
  color: white;
  padding: .375rem;
  display: grid;
}

a {
  text-decoration: none;
  color: lightgrey;
}

nav a {
  text-decoration: none;
  color: lightgrey;
  font-size: 20px;
  padding-right: .375rem;
  padding-left: .375rem;
}

nav a:hover {
  background-color: #293236;
  color: white;
}
nav a.nav_on {
  color: white;
  text-decoration: underline;
}

nav > details > div.content { display: grid; }
nav > details > summary {
  cursor: pointer;
}
nav > details > summary > div {
  width: 35px;
  height: 5px;
  background-color: white;
  margin: 6px 0;
  transition: 0.4s;
}

nav > details[open] > summary > div { opacity: 0; }
nav > details[open] > summary > div:first-child {
  transform: translate(0, 11px) rotate(-45deg);
  opacity: 1;
}

nav > details[open] > summary > div:last-child {
  transform: translate(0, -11px) rotate(45deg);
  opacity: 1;
}

main > details > summary {
  font-size: 2rem;
  cursor: pointer;
}

main > fieldset {
  border-color: grey;
  border-radius: 1rem;
  background-color: rgba(100, 0, 0, 0.2);
}
main > fieldset > legend {
  color: lightgrey;
  border: 2px solid gray;
  border-radius: 0.4rem;
  background-color: rgba(100, 0, 0, 0.2);
}

/*==========Classes==========*/
.no-child-spacing-vertical > * {
  margin-top: 0;
  margin-bottom: 0;
  padding-top: 0;
  padding-bottom: 0;
}

.no-child-spacing-horizontal > * {
  margin-left: 0;
  margin-right: 0;
  padding-left: 0;
  padding-right: 0;
}

/*==========Ids==========*/
#nav_toggle {
  list-style-type: none;
  float: right;
  margin-top: .5rem;
  margin-right: 1rem;
  position: absolute;
  right: 0;
  top: 0;
}

#nav_to_top {
  position: fixed;
  right: 0;
  bottom: 0;
  margin: 2rem;
  width: 3rem;
  height: 3rem;
  z-index: 99;
  background-image: none;
  background: black;
  opacity: 0.5;
  border: 0;
  color: white;
  font-size: x-large;
  border-radius: 2rem;
  text-align: center;
  padding: 0;
  text-decoration: underline;
}

#nav_logo_title_container { margin: .5rem; }
#nav_logo_title_container:after{ margin: 1rem; }
#nav_logo_title_container img { float: left; }
#nav_title_container {
  margin: 1rem;
  float: left;
}
#nav_title_container * { margin: 0; }

@media only screen and (max-width: 600px) {
  /* .small { display: none; } */
  .medium:not(.small) { display: none; }
  .large:not(.small) { display: none; }

}

@media only screen and (min-width: 600px) and (max-width: 767px) {
  .small:not(.medium) { display: none; }
  /* .medium { display: none; } */
  .large:not(.medium) { display: none; }
}

@media only screen and (min-width: 768px) {
  .small:not(.large) { display: none; }
  .medium:not(.large) { display: none; }
  /* .large { display: none; } */

  nav {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: space-between;
    align-items: baseline;
  }
  /* body { */
  /*   background-color: #002B36; */
  /*   color: darkgrey; */
  /*   padding: 0; */
  /*   margin: 0; */
  /* } */
  /**/
  /* main { */
  /*   padding: .5rem; */
  /* } */
  /**/
  /* h1 { */
  /*   color: floralwhite; */
  /* } */
  /**/
  /* nav { */
  /*   border: .0625rem solid black; */
  /*   background-color: #292936; */
  /*   color: white; */
  /*   padding: .375rem; */
  /* } */
  /**/
  /* a { */
  /*   text-decoration: none; */
  /*   color: white; */
  /*   font-size: 20px; */
  /* } */
  /**/
  /* nav a:not(:last-child) { */
  /*   border-right: .125rem solid darkgrey; */
  /*   padding-right: .375rem; */
  /*   padding-left: .375rem; */
  /* } */
}
